#include "src/qt/mainwindow.h"
#include <QApplication>
#include "main.h"

// TODO: fix qwerty mapping
// TODO: handlers, qui a besoin de qui et quand, pas de redondance ? chemins les + simples ?
// TODO: lock pour la modif, histoire de péter tout le backend sans que l'ihm explose
// TODO: list les features présentes et à venir, disons jusqu'à la v1.0 alpha pour commencer
// TODO MF: intégration/merge avec autre doc, gaffe aux scaling, normalisation générale des coords pour nos fichiers ?
// TODO: stitch de remplissage de formes
// TODO: rotation des selections
// TODO: creation des groupes
// TODO: export des .pes
// TODO: edition des motifs
// TODO: set des motifs des linestitchs avec miniature
// TODO: echelle dans la vue (cm/mm)

// liste des bugs identifiés a corriger
// TODO bug dans OE_interfaceDisplay::selectApply la selection ne clear qu'un seul type (curve ou stitch) quand on selection uniquement des objets de l'autre type
// TODO bug dans les selections avec ajout sur les stitchs

int main(int argc, char *argv[])
{
	QApplication a(argc, argv);
	MainWindow w;

	OE_root root;
	root.document = new OE_document();
	root.interfaceDisplay = w.getItfDisplay();
	root.interfaceDisplay->setDocument(root.document);
	root.display = root.interfaceDisplay;
	root.controller = new OE_controller(root.display, root.document);
	root.controller->initNewDocument();
	root.display->setController(root.controller);

	w.show();

	return a.exec();
}
