#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

namespace Ui {
class MainWindow;
}

class OE_interfaceDisplay;

class MainWindow : public QMainWindow
{
	Q_OBJECT

public:
	explicit MainWindow(QWidget *parent = 0);
	~MainWindow();
	void addTab(QWidget *widget, QString name);
	void keyPressEvent(QKeyEvent* event);
	void keyReleaseEvent(QKeyEvent* event);
	OE_interfaceDisplay* getItfDisplay();

private slots:

private:
	Ui::MainWindow *ui;
};

#endif // MAINWINDOW_H
